Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class SQLStmtException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.SQLStmtException

public class SQLStmtException
extends JboException

Thrown when the evaluation of a SQL statement fails.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`SQLStmtException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params)`
`SQLStmtException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String stmt, java.lang.Exception ex)` public SQLStmtException(String errorCode, Object[] params) { super(CSMessageBundle.class, errorCode, params); } public SQLStmtException(String errorCode, int indx) { super(CSMessageBundle.class, errorCode, new Object[] { new Integer(indx) }); } public SQLStmtException(String errorCode, String stmt) { super(CSMessageBundle.class, errorCode, new Object[] { stmt }); }

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLStmtException

    public SQLStmtException(java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.Object[] params)

### SQLStmtException

    public SQLStmtException(java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String stmt,
                            java.lang.Exception ex)

  public SQLStmtException(String errorCode, Object[] params) { super(CSMessageBundle.class, errorCode, params); } public SQLStmtException(String errorCode, int indx) { super(CSMessageBundle.class, errorCode, new Object[] { new Integer(indx) }); } public SQLStmtException(String errorCode, String stmt) { super(CSMessageBundle.class, errorCode, new Object[] { stmt }); }

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD